Name:          os-prober
Version:       1.76
Release:       1mamba
Summary:       Utility to detect other OSes on a set of drives
Group:         System/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://joeyh.name/code/os-prober/
Source:        http://ftp.de.debian.org/debian/pool/main/o/os-prober/os-prober_%{version}.tar.xz
Patch0:        os-prober-1.61-openmamba-EFI-32_64_bit_mismatch.patch
Patch1:        os-prober-1.66-linux-distro-openmamba.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
This package detects other OSes available on a system and outputs the results in a generic machine-readable format.

%prep
%setup -q
#%patch0 -p1
%patch1 -p1

%build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
for f in os-prober linux-boot-prober; do
   install -D -m0755 $f %{buildroot}%{_sbindir}/$f
done

install -D -m0755 common.sh %{buildroot}%{_datadir}/os-prober/common.sh
install -D -m0755 newns %{buildroot}%{_prefix}/lib/os-prober/newns

install -D -m0755 ./os-probes/common/50mounted-tests \
   %{buildroot}%{_prefix}/lib/os-probes/50mounted-tests

install -D -m0755 ./os-probes/init/common/10filesystems \
   %{buildroot}%{_prefix}/lib/os-probes/init/10filesystems

install -D -m0755 ./linux-boot-probes/common/50mounted-tests \
   %{buildroot}%{_prefix}/lib/linux-boot-probes/50mounted-tests

install -d -m0755 %{buildroot}%{_prefix}/lib/os-probes/mounted
install -d -m0755 %{buildroot}%{_prefix}/lib/linux-boot-probes/mounted/

cp -a ./linux-boot-probes/mounted/common/* \
   %{buildroot}%{_prefix}/lib/linux-boot-probes/mounted/

cp -a ./os-probes/mounted/common/* \
   %{buildroot}%{_prefix}/lib/os-probes/mounted/

%ifarch %{ix86} x86_64
cp -a ./os-probes/mounted/x86/* %{buildroot}%{_prefix}/lib/os-probes/mounted/
cp -a ./linux-boot-probes/mounted/x86/* %{buildroot}%{_prefix}/lib/linux-boot-probes/mounted/
%else
echo "Arch not supported; aborting."
exit 1
%endif

install -d -m0755 %{buildroot}%{_localstatedir}/lib/os-prober

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_sbindir}/linux-boot-prober
%{_sbindir}/os-prober
%dir %{_prefix}/lib/linux-boot-probes
%{_prefix}/lib/linux-boot-probes/50mounted-tests
%dir %{_prefix}/lib/linux-boot-probes/mounted
%{_prefix}/lib/linux-boot-probes/mounted/*
%dir %{_prefix}/lib/os-prober
%{_prefix}/lib/os-prober/newns
%{_prefix}/lib/os-probes/50mounted-tests
%dir %{_prefix}/lib/os-probes/init
%{_prefix}/lib/os-probes/init/10filesystems
%dir %{_prefix}/lib/os-probes/mounted
%{_prefix}/lib/os-probes/mounted/*
%dir %{_datadir}/os-prober
%{_datadir}/os-prober/common.sh
%dir %{_localstatedir}/lib/os-prober
%doc debian/copyright

%changelog
* Mon Aug 07 2017 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 1.76-1mamba
- update to 1.76

* Fri Mar 11 2016 Automatic Build System <autodist@mambasoft.it> 1.71-1mamba
- automatic version update by autodist

* Wed Nov 25 2015 Automatic Build System <autodist@mambasoft.it> 1.70-1mamba
- automatic version update by autodist

* Fri Aug 21 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.66-2mamba
- add patch to detect openmamba

* Tue Aug 04 2015 Automatic Build System <autodist@mambasoft.it> 1.66-1mamba
- automatic version update by autodist

* Mon Dec 29 2014 Automatic Build System <autodist@mambasoft.it> 1.65-1mamba
- automatic update by autodist

* Thu Sep 18 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.64-1mamba
- update to 1.64

* Mon Aug 26 2013 Automatic Build System <autodist@mambasoft.it> 1.63-1mamba
- automatic update by autodist

* Mon Aug 05 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.62-2mamba
- also install missing common files to fix other linuxes detection

* Sat Jul 20 2013 Automatic Build System <autodist@mambasoft.it> 1.62-1mamba
- automatic update by autodist

* Tue Jun 11 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.61-3mamba
- patch0: check in /etc/sysconfg/grub if bootloader is EFI to support when efivars are not available in 32/64 bits mixed mode

* Mon Jun 10 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.61-2mamba
- fixed installation path of files to make it work (more)

* Sun Jun 09 2013 Automatic Build System <autodist@mambasoft.it> 1.61-1mamba
- automatic version update by autodist

* Fri May 17 2013 Automatic Build System <autodist@mambasoft.it> 1.59-1mamba
- automatic version update by autodist

* Tue Mar 05 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.57-1mamba
- package created by silvan using the webbuild interface
